﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using GrxCAD.ApplicationServices;
using GrxCAD.DatabaseServices;
using GrxCAD.EditorInput;
using GrxCAD.Geometry;
using GrxCAD.Runtime;

namespace ShowDialogSample_CS_
{
	public class sample : IExtensionApplication
	{
		//初期化処理
		public void Initialize()
		{
			Editor icEd = Application.DocumentManager.MdiActiveDocument.Editor;
			icEd.WriteMessage("\nサンプルの.NETアセンブリをロードしました");
		}

		//解放処理
		public void Terminate()
		{
		}

		[CommandMethod("SHOWMODAL")]
		public void ShowModal()
		{
			var form = new SampleForm();
			Application.ShowModalDialog(form);
		}

		[CommandMethod("SHOWMODELESS")]
		public void ShowModelessDialog()
		{
			var form = new SampleForm();
			Application.ShowModelessDialog(form);
		}
	}
}
